Bug 864325 - 3.7.0 kernel fails to honour fcntl (F_DUPFD_CLOEXEC)
3.7.0 kernel fails to honour fcntl (F_DUPFD_CLOEXEC)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 03:24 EDT by Richard W.M. Jones
Modified: 2016-04-26 11:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 864371 (view as bug list)
Environment:
Last Closed: 2013-03-19 11:02:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-10-09 03:24:03 EDT
Description of problem:

http://lkml.indiana.edu/hypermail/linux/kernel/1210.1/index.html#00400

Version-Release number of selected component (if applicable):

3.7.0-0.rc0.git2.4.fc19.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Run the reproducer in the link above.

Additional info:

Al Viro has suggested a patch, which I haven't tested, but I will
attach to this message.
Comment 1 Richard W.M. Jones 2012-10-09 03:25:14 EDT
Al Viro's patch is here:
http://marc.info/?l=linux-fsdevel&m=134973493227376&w=2
Comment 2 Richard W.M. Jones 2012-10-09 04:49:27 EDT
(In reply to comment #1)
> Al Viro's patch is here:
> http://marc.info/?l=linux-fsdevel&m=134973493227376&w=2

This patch fixed it for me.
Comment 3 Richard W.M. Jones 2012-10-09 09:06:34 EDT
Al's fix is upstream (121977187ca0a7f20b848530deb04cc56167769b).

Note You need to log in before you can comment on or make changes to this bug.